Bug 973793 - Review Request: python-martian - A library to grok configuration from Python code
Review Request: python-martian - A library to grok configuration from Python ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 14:31 EDT by Marcelo Barbosa "firemanxbr"
Modified: 2013-07-18 01:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-martian-0.14-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 22:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcelo Barbosa "firemanxbr" 2013-06-12 14:31:43 EDT
Spec URL: http://firemanxbr.fedorapeople.org/python-martian/python-martian.spec
SRPM URL: http://firemanxbr.fedorapeople.org/python-martian/python-martian-0.14-1.fc19.src.rpm
Description: A library that allows the embedding of configuration information in
Python code. Martian can then grok the system and do the appropriate
configuration registrations. One example of a system that uses Martian
is the system where it originated: Grok
Fedora Account System Username: firemanxbr
Comment 1 Eduardo Echeverria 2013-06-13 00:27:58 EDT
Hi Marcelo, the package looks good, I can sponsor you, but first I would like to see him involved in some informal review. Please let me know when you do the review.

Cheers.-
Comment 2 Eduardo Echeverria 2013-06-15 01:08:40 EDT
- the hidden dirs is a false positive.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 42 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/rpmbuild/martian/973793-python-
     martian/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-martian-0.14-1.fc20.noarch.rpm
python-martian.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/martian/tests/withbogusmodules/.bogussubpackage
python-martian.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/martian/tests/withbogusmodules/.bogussubpackage
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-martian
python-martian.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/martian/tests/withbogusmodules/.bogussubpackage
python-martian.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/martian/tests/withbogusmodules/.bogussubpackage
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-martian (rpmlib, GLIBC filtered):
    python(abi)
    python-zope-interface



Provides
--------
python-martian:
    python-martian



Source checksums
----------------
https://pypi.python.org/packages/source/m/martian/martian-0.14.tar.gz :
  CHECKSUM(SHA256) this package     : ec2e86da218233249572024165a00a36bbd24a5e23ce410615f52d84e3a43169
  CHECKSUM(SHA256) upstream package : ec2e86da218233249572024165a00a36bbd24a5e23ce410615f52d84e3a43169


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 973793 -m fedora-rawhide-x86_64

----------------

PACKAGE APPROVED

----------------


Follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner


If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is echevemaster
Comment 3 Marcelo Barbosa "firemanxbr" 2013-06-15 02:22:52 EDT
New Package SCM Request
=======================
Package Name: python-martian
Short Description: A library to grok configuration from Python code
Owners: firemanxbr, echevemaster
Branches: f17 f18 f19
Comment 4 Gwyn Ciesla 2013-06-15 12:19:31 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-06-15 14:14:21 EDT
python-martian-0.14-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-martian-0.14-1.fc17
Comment 6 Fedora Update System 2013-06-15 14:29:42 EDT
python-martian-0.14-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-martian-0.14-1.fc18
Comment 7 Fedora Update System 2013-06-15 14:39:26 EDT
python-martian-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-martian-0.14-1.fc19
Comment 8 Fedora Update System 2013-06-16 01:33:15 EDT
python-martian-0.14-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-07-16 23:04:36 EDT
python-martian-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-07-16 23:08:35 EDT
python-martian-0.14-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-07-18 00:01:49 EDT
python-martian-0.14-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-07-18 01:45:35 EDT
python-martian-0.14-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.